const gulp = require('gulp');
const babel = require('gulp-babel');
const rename = require('gulp-rename');

gulp.task('default', () =>
  gulp.src('./index.js')
  .pipe(babel({
    presets: ['es2015']
  }))
  .pipe(rename({
    suffix: '.dist'
  }))
  .pipe(gulp.dest('./'))
);

gulp.task('watch', ['default'], () =>
  gulp.watch(['index.js'], ['default'])
);
