"use strict";

module.exports = function (selector) {
  var func = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  var bind = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : document;

  var elements = Array.from(bind.querySelectorAll(selector));

  if (func === null) {
    return elements;
  }

  if (elements.length > 0) {
    elements.map(function (element) {
      return func(element);
    });
  }
};